type token =
  | Equality
  | NegEquality
  | Comma
  | Dot
  | Column
  | LeftParen
  | RightParen
  | LBrace
  | RBrace
  | True
  | False
  | ForAll
  | Exists
  | And
  | NegAnd
  | Or
  | NegOr
  | Negation
  | ImplicationLR
  | ImplicationRL
  | Equivalence
  | NegEquivalence
  | Positive_Decimal of (string)
  | Decimal of (string)
  | Decimal_fraction of (string)
  | Decimal_exponent of (string)
  | Plus
  | Minus
  | Slash
  | Exponent
  | Star
  | Arrow
  | Less_Sign
  | CNF_T of (string)
  | FOF_T of (string)
  | TFF_T of (string)
  | TCF_T of (string)
  | THF_T of (string)
  | Include of (string)
  | Type of (string)
  | STATE_SEP
  | UpperWord of (string)
  | LowerWord of (string)
  | DollarWord of (string)
  | DollarDollarWord of (string)
  | String of (string)
  | QuotedStr of (string)
  | CommentPercent of (string)
  | CommentEprover of (string)
  | CommentStar of (string)
  | AnnotationPercent of (string)
  | AnnotationStar of (string)
  | EOF

open Parsing;;
let _ = parse_error;;
# 2 "src/parser_tptp.mly"
open Lib 
open Parser_types

(*----- debug modifiable part-----*)

let dbg_flag = true

type dbg_gr = 
  | D_trace

let dbg_gr_to_str = function 
  | D_trace -> "trace"

let dbg_groups =
  [
   D_trace
 ]
    
let module_name = "parser_tptp"

(*----- debug fixed part --------*)

let () = Lib.dbg_flag_msg dbg_flag module_name

let dbg group str_lazy =
  Lib.dbg_out_pref dbg_flag dbg_groups group dbg_gr_to_str module_name str_lazy

let dbg_env group f =
  Lib.dbg_env_set dbg_flag dbg_groups group f

(*----- debug -----*)


   
let disquote_string  str = 
      String.sub str 1 ((String.length str)-2)

 let parse_error s =    
   raise Parser_types.Parsing_fails 

# 100 "src/parser_tptp.ml"
let yytransl_const = [|
  257 (* Equality *);
  258 (* NegEquality *);
  259 (* Comma *);
  260 (* Dot *);
  261 (* Column *);
  262 (* LeftParen *);
  263 (* RightParen *);
  264 (* LBrace *);
  265 (* RBrace *);
  266 (* True *);
  267 (* False *);
  268 (* ForAll *);
  269 (* Exists *);
  270 (* And *);
  271 (* NegAnd *);
  272 (* Or *);
  273 (* NegOr *);
  274 (* Negation *);
  275 (* ImplicationLR *);
  276 (* ImplicationRL *);
  277 (* Equivalence *);
  278 (* NegEquivalence *);
  283 (* Plus *);
  284 (* Minus *);
  285 (* Slash *);
  286 (* Exponent *);
  287 (* Star *);
  288 (* Arrow *);
  289 (* Less_Sign *);
  297 (* STATE_SEP *);
    0 (* EOF *);
    0|]

let yytransl_block = [|
  279 (* Positive_Decimal *);
  280 (* Decimal *);
  281 (* Decimal_fraction *);
  282 (* Decimal_exponent *);
  290 (* CNF_T *);
  291 (* FOF_T *);
  292 (* TFF_T *);
  293 (* TCF_T *);
  294 (* THF_T *);
  295 (* Include *);
  296 (* Type *);
  298 (* UpperWord *);
  299 (* LowerWord *);
  300 (* DollarWord *);
  301 (* DollarDollarWord *);
  302 (* String *);
  303 (* QuotedStr *);
  304 (* CommentPercent *);
  305 (* CommentEprover *);
  306 (* CommentStar *);
  307 (* AnnotationPercent *);
  308 (* AnnotationStar *);
    0|]

let yylhs = "\255\255\
\001\000\001\000\001\000\002\000\002\000\002\000\002\000\004\000\
\007\000\008\000\008\000\010\000\010\000\005\000\005\000\005\000\
\006\000\006\000\003\000\003\000\003\000\003\000\003\000\003\000\
\016\000\016\000\016\000\017\000\018\000\018\000\019\000\019\000\
\021\000\021\000\022\000\023\000\024\000\020\000\015\000\015\000\
\015\000\028\000\028\000\029\000\031\000\031\000\031\000\032\000\
\032\000\032\000\036\000\036\000\038\000\038\000\039\000\039\000\
\026\000\026\000\026\000\037\000\037\000\027\000\027\000\027\000\
\025\000\025\000\042\000\042\000\043\000\043\000\040\000\040\000\
\044\000\044\000\014\000\014\000\014\000\046\000\046\000\045\000\
\045\000\048\000\048\000\013\000\013\000\013\000\050\000\050\000\
\051\000\051\000\052\000\052\000\052\000\052\000\054\000\053\000\
\053\000\053\000\056\000\056\000\047\000\047\000\033\000\049\000\
\059\000\059\000\055\000\055\000\061\000\060\000\060\000\060\000\
\062\000\062\000\064\000\065\000\067\000\067\000\063\000\063\000\
\030\000\030\000\034\000\057\000\057\000\058\000\068\000\068\000\
\070\000\070\000\069\000\071\000\072\000\012\000\066\000\066\000\
\066\000\074\000\074\000\076\000\076\000\077\000\075\000\075\000\
\078\000\078\000\079\000\079\000\080\000\080\000\081\000\081\000\
\035\000\011\000\011\000\041\000\041\000\041\000\041\000\083\000\
\083\000\083\000\083\000\083\000\083\000\083\000\009\000\082\000\
\073\000\073\000\073\000\000\000"

let yylen = "\002\000\
\000\000\002\000\001\000\001\000\001\000\001\000\001\000\006\000\
\001\000\000\000\002\000\001\000\003\000\001\000\001\000\001\000\
\001\000\001\000\010\000\001\000\001\000\009\000\010\000\010\000\
\001\000\001\000\003\000\006\000\001\000\001\000\001\000\003\000\
\001\000\001\000\003\000\001\000\001\000\001\000\003\000\005\000\
\003\000\001\000\003\000\006\000\001\000\001\000\001\000\001\000\
\001\000\001\000\003\000\003\000\001\000\003\000\001\000\003\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\003\000\
\001\000\001\000\001\000\001\000\001\000\001\000\003\000\005\000\
\003\000\003\000\000\000\001\000\003\000\000\000\002\000\001\000\
\001\000\002\000\003\000\003\000\005\000\001\000\001\000\003\000\
\001\000\003\000\001\000\001\000\002\000\004\000\003\000\001\000\
\001\000\001\000\001\000\004\000\001\000\004\000\001\000\001\000\
\001\000\003\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\004\000\001\000\004\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\004\000\
\001\000\004\000\003\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\002\000\002\000\003\000\001\000\001\000\
\002\000\002\000\001\000\001\000\001\000\001\000\002\000\002\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\002\000\002\000\002\000"

let yydefred = "\000\000\
\000\000\000\000\003\000\000\000\000\000\020\000\000\000\000\000\
\021\000\000\000\014\000\016\000\015\000\017\000\018\000\002\000\
\004\000\005\000\006\000\007\000\000\000\000\000\000\000\000\000\
\169\000\000\000\000\000\160\000\161\000\162\000\163\000\164\000\
\165\000\166\000\156\000\168\000\167\000\157\000\000\000\154\000\
\155\000\158\000\159\000\000\000\000\000\000\000\009\000\170\000\
\171\000\000\000\000\000\000\000\000\000\000\000\134\000\000\000\
\000\000\000\000\000\000\000\000\012\000\000\000\000\000\000\000\
\000\000\000\000\000\000\008\000\121\000\000\000\000\000\000\000\
\147\000\148\000\000\000\000\000\109\000\122\000\123\000\000\000\
\000\000\000\000\000\000\103\000\110\000\000\000\087\000\089\000\
\091\000\092\000\000\000\096\000\097\000\098\000\107\000\108\000\
\111\000\112\000\113\000\114\000\115\000\116\000\124\000\125\000\
\126\000\135\000\136\000\137\000\138\000\139\000\143\000\144\000\
\000\000\000\000\000\000\058\000\057\000\059\000\000\000\029\000\
\030\000\025\000\000\000\026\000\000\000\000\000\013\000\000\000\
\000\000\000\000\000\000\093\000\000\000\000\000\000\000\140\000\
\145\000\000\000\141\000\146\000\000\000\000\000\000\000\000\000\
\000\000\000\000\133\000\000\000\000\000\132\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\084\000\090\000\
\000\000\142\000\000\000\000\000\000\000\080\000\081\000\000\000\
\000\000\000\000\000\000\105\000\000\000\000\000\000\000\000\000\
\088\000\095\000\131\000\041\000\022\000\000\000\067\000\068\000\
\000\000\000\000\063\000\065\000\066\000\000\000\000\000\027\000\
\000\000\037\000\000\000\000\000\033\000\034\000\000\000\000\000\
\000\000\094\000\082\000\000\000\000\000\000\000\077\000\019\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\023\000\
\000\000\000\000\000\000\024\000\085\000\083\000\000\000\079\000\
\000\000\000\000\106\000\000\000\064\000\000\000\073\000\000\000\
\042\000\000\000\071\000\074\000\000\000\032\000\035\000\102\000\
\118\000\120\000\000\000\000\000\000\000\038\000\028\000\072\000\
\043\000\046\000\000\000\045\000\047\000\000\000\000\000\153\000\
\061\000\000\000\060\000\048\000\049\000\050\000\000\000\000\000\
\000\000\000\000\044\000\000\000\000\000\051\000\052\000\054\000\
\056\000"

let yydgoto = "\002\000\
\004\000\016\000\017\000\018\000\019\000\020\000\046\000\054\000\
\038\000\060\000\039\000\056\000\122\000\142\000\114\000\123\000\
\124\000\125\000\195\000\255\000\196\000\197\000\198\000\199\000\
\217\000\115\000\186\000\240\000\241\000\081\000\003\001\010\001\
\164\000\083\000\015\001\013\001\016\001\017\001\018\001\187\000\
\084\000\189\000\190\000\191\000\165\000\207\000\085\000\167\000\
\171\000\086\000\087\000\088\000\089\000\090\000\091\000\092\000\
\093\000\094\000\173\000\095\000\096\000\097\000\098\000\099\000\
\100\000\101\000\102\000\103\000\104\000\105\000\149\000\150\000\
\106\000\107\000\108\000\109\000\110\000\111\000\112\000\000\000\
\000\000\042\000\043\000"

let yysindex = "\063\000\
\050\000\000\000\000\000\019\001\081\255\000\000\106\255\137\255\
\000\000\138\255\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\080\001\080\001\080\001\086\255\
\000\000\123\255\130\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\150\255\000\000\
\000\000\000\000\000\000\155\255\157\255\158\255\000\000\000\000\
\000\000\122\255\033\255\122\255\080\001\163\255\000\000\168\255\
\169\255\177\255\178\255\187\255\000\000\188\255\089\000\092\255\
\201\255\201\255\080\001\000\000\000\000\136\000\230\000\162\255\
\000\000\000\000\083\255\097\255\000\000\000\000\000\000\190\255\
\189\255\205\255\206\255\000\000\000\000\182\255\000\000\000\000\
\000\000\000\000\029\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\092\255\211\255\217\255\000\000\000\000\000\000\042\000\000\000\
\000\000\000\000\190\255\000\000\186\255\190\255\000\000\089\000\
\030\255\224\255\002\001\000\000\232\255\228\255\162\255\000\000\
\000\000\162\255\000\000\000\000\204\000\246\255\002\001\002\001\
\002\001\183\000\000\000\002\001\002\001\000\000\249\255\250\255\
\112\000\003\000\011\000\220\255\018\000\022\000\000\000\000\000\
\023\000\000\000\233\255\027\000\004\000\000\000\000\000\005\000\
\036\000\038\000\024\000\000\000\043\000\040\000\052\000\183\000\
\000\000\000\000\000\000\000\000\000\000\159\000\000\000\000\000\
\014\000\045\000\000\000\000\000\000\000\032\000\034\000\000\000\
\068\000\000\000\064\000\071\000\000\000\000\000\070\000\079\000\
\084\000\000\000\000\000\083\000\002\001\204\000\000\000\000\000\
\002\001\002\001\000\000\002\001\000\000\000\000\224\255\101\001\
\014\000\086\000\025\255\101\001\028\255\101\001\101\001\000\000\
\098\000\220\255\101\001\000\000\000\000\000\000\087\000\000\000\
\097\000\103\000\000\000\104\000\000\000\080\000\000\000\105\000\
\000\000\113\000\000\000\000\000\089\000\000\000\000\000\000\000\
\000\000\000\000\101\001\028\255\139\255\000\000\000\000\000\000\
\000\000\000\000\117\000\000\000\000\000\042\001\059\001\000\000\
\000\000\115\000\000\000\000\000\000\000\000\000\127\000\138\000\
\134\000\157\000\000\000\121\000\062\000\000\000\000\000\000\000\
\000\000"

let yyrindex = "\000\000\
\001\000\000\000\000\000\167\001\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\161\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\162\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\038\255\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\170\000\
\148\255\248\255\055\000\000\000\000\000\020\255\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\170\000\000\000\000\000\170\000\000\000\000\000\
\000\000\172\000\000\000\000\000\000\000\000\000\214\255\000\000\
\000\000\025\000\000\000\000\000\185\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\056\001\206\000\000\000\000\000\000\000\
\146\001\147\001\000\000\000\000\108\255\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\019\255\207\000\000\000\000\000\000\000\000\000\026\255\000\000\
\000\000\000\000\000\000\181\000\000\000\000\000\058\255\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\137\000\000\000\184\000\127\001\000\000\000\000\
\031\255\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\208\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\215\000\223\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000"

let yygindex = "\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\192\001\000\000\002\000\247\255\198\255\227\255\120\001\168\001\
\116\001\000\000\011\001\000\000\000\000\000\000\000\000\000\000\
\147\255\000\000\000\000\000\000\249\000\203\255\000\000\000\000\
\199\255\192\255\240\000\000\000\242\000\229\000\231\000\071\001\
\237\255\000\000\093\255\000\000\054\001\000\000\127\255\000\000\
\129\255\202\255\196\255\000\000\200\255\000\000\213\255\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\255\255\000\000\000\000\000\000\028\000\000\000\049\000\000\000\
\000\000\000\000\000\000"

let yytablesize = 675
let yytable = "\118\000\
\001\000\040\000\040\000\040\000\080\000\082\000\117\000\082\000\
\082\000\130\000\116\000\166\000\082\000\082\000\132\000\129\000\
\174\000\175\000\219\000\041\000\041\000\041\000\086\000\044\000\
\045\000\062\000\086\000\133\000\069\000\147\000\148\000\238\000\
\070\000\040\000\062\000\204\000\159\000\069\000\169\000\169\000\
\169\000\058\000\059\000\185\000\169\000\146\000\169\000\040\000\
\118\000\003\000\069\000\041\000\236\000\169\000\061\000\117\000\
\222\000\070\000\130\000\116\000\036\000\082\000\069\000\001\000\
\129\000\041\000\036\000\130\000\127\000\158\000\082\000\078\000\
\057\000\082\000\161\000\055\000\166\000\231\000\170\000\170\000\
\170\000\233\000\234\000\170\000\170\000\177\000\021\000\133\000\
\082\000\169\000\169\000\169\000\069\000\155\000\169\000\169\000\
\157\000\113\000\170\000\172\000\172\000\172\000\136\000\139\000\
\178\000\179\000\135\000\073\000\074\000\169\000\239\000\022\000\
\243\000\244\000\104\000\215\000\104\000\247\000\082\000\172\000\
\138\000\073\000\074\000\137\000\140\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\037\000\188\000\035\000\078\000\
\079\000\036\000\037\000\069\000\170\000\000\001\023\000\024\000\
\170\000\170\000\048\000\170\000\117\000\117\000\127\000\169\000\
\050\000\049\000\127\000\169\000\169\000\051\000\169\000\052\000\
\053\000\172\000\188\000\127\000\055\000\172\000\172\000\242\000\
\235\000\062\000\063\000\064\000\028\000\029\000\030\000\031\000\
\032\000\033\000\034\000\065\000\066\000\035\000\078\000\079\000\
\036\000\037\000\254\000\082\000\005\001\067\000\134\000\068\000\
\141\000\156\000\143\000\004\001\188\000\146\000\242\000\002\001\
\188\000\069\000\188\000\188\000\011\001\011\001\119\000\188\000\
\009\001\009\001\144\000\145\000\120\000\121\000\170\000\170\000\
\170\000\152\000\071\000\011\001\170\000\153\000\170\000\009\001\
\072\000\073\000\074\000\075\000\076\000\170\000\160\000\188\000\
\147\000\069\000\028\000\029\000\030\000\031\000\032\000\033\000\
\034\000\203\000\077\000\035\000\078\000\079\000\036\000\037\000\
\101\000\101\000\099\000\162\000\168\000\181\000\099\000\180\000\
\072\000\073\000\074\000\075\000\076\000\194\000\206\000\099\000\
\208\000\192\000\028\000\029\000\030\000\031\000\032\000\033\000\
\034\000\193\000\077\000\035\000\078\000\079\000\036\000\037\000\
\200\000\171\000\171\000\171\000\201\000\202\000\211\000\171\000\
\205\000\171\000\001\000\001\000\001\000\001\000\001\000\001\000\
\171\000\209\000\069\000\210\000\220\000\212\000\213\000\128\000\
\001\000\001\000\001\000\001\000\001\000\120\000\121\000\119\000\
\119\000\129\000\214\000\071\000\221\000\129\000\069\000\222\000\
\223\000\072\000\073\000\074\000\075\000\076\000\129\000\224\000\
\225\000\226\000\227\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\228\000\077\000\035\000\078\000\079\000\036\000\
\037\000\069\000\229\000\230\000\237\000\248\000\070\000\028\000\
\029\000\030\000\031\000\032\000\033\000\034\000\245\000\249\000\
\035\000\078\000\071\000\036\000\037\000\250\000\238\000\251\000\
\072\000\073\000\074\000\075\000\076\000\182\000\253\000\006\001\
\252\000\019\001\028\000\029\000\030\000\031\000\032\000\033\000\
\034\000\020\001\077\000\035\000\078\000\079\000\036\000\037\000\
\069\000\118\000\118\000\128\000\021\001\128\000\022\001\128\000\
\008\001\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\128\000\071\000\035\000\183\000\184\000\036\000\037\000\072\000\
\073\000\074\000\075\000\076\000\216\000\023\001\172\000\010\000\
\011\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\075\000\077\000\035\000\078\000\079\000\036\000\037\000\069\000\
\102\000\102\000\100\000\087\000\176\000\031\000\100\000\076\000\
\028\000\029\000\030\000\031\000\032\000\033\000\034\000\100\000\
\071\000\035\000\183\000\184\000\036\000\037\000\072\000\073\000\
\074\000\075\000\076\000\163\000\078\000\039\000\040\000\047\000\
\028\000\029\000\030\000\031\000\032\000\033\000\034\000\053\000\
\077\000\035\000\078\000\079\000\036\000\037\000\069\000\055\000\
\151\000\126\000\154\000\131\000\246\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\001\001\012\001\035\000\014\001\
\024\001\036\000\037\000\025\001\218\000\072\000\073\000\074\000\
\075\000\076\000\069\000\232\000\000\000\000\000\000\000\028\000\
\029\000\030\000\031\000\032\000\033\000\034\000\000\000\077\000\
\035\000\078\000\079\000\036\000\037\000\000\000\000\000\000\000\
\000\000\072\000\073\000\074\000\075\000\076\000\000\000\000\000\
\000\000\000\000\000\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\069\000\077\000\035\000\078\000\079\000\036\000\
\037\000\007\001\000\000\000\000\005\000\006\000\007\000\008\000\
\009\000\010\000\101\000\069\000\000\000\000\000\101\000\000\000\
\101\000\008\001\011\000\012\000\013\000\014\000\015\000\101\000\
\000\000\000\000\000\000\028\000\029\000\030\000\031\000\032\000\
\033\000\034\000\008\001\000\000\035\000\078\000\000\000\036\000\
\037\000\000\000\000\000\000\000\028\000\029\000\030\000\031\000\
\032\000\033\000\034\000\000\000\000\000\035\000\078\000\025\000\
\036\000\037\000\026\000\027\000\000\000\000\000\000\000\000\000\
\000\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\000\000\000\000\035\000\000\000\000\000\036\000\037\000\120\000\
\120\000\130\000\000\000\000\000\000\000\130\000\028\000\029\000\
\030\000\031\000\032\000\033\000\034\000\000\000\130\000\035\000\
\183\000\184\000\036\000\037\000\117\000\119\000\000\000\000\000\
\117\000\119\000\117\000\119\000\000\000\000\000\000\000\000\000\
\000\000\117\000\119\000"

let yycheck = "\064\000\
\000\000\021\000\022\000\023\000\063\000\063\000\064\000\065\000\
\066\000\070\000\064\000\141\000\070\000\071\000\071\000\070\000\
\144\000\145\000\182\000\021\000\022\000\023\000\003\001\022\000\
\023\000\007\001\007\001\071\000\001\001\001\001\002\001\007\001\
\007\001\053\000\016\001\163\000\007\001\007\001\001\001\002\001\
\003\001\051\000\052\000\153\000\007\001\016\001\009\001\067\000\
\113\000\000\000\032\001\053\000\216\000\016\001\053\000\113\000\
\032\001\032\001\119\000\113\000\003\001\119\000\032\001\001\000\
\119\000\067\000\009\001\128\000\067\000\128\000\128\000\044\001\
\040\001\131\000\131\000\043\001\206\000\205\000\143\000\144\000\
\145\000\209\000\210\000\148\000\149\000\146\000\006\001\131\000\
\146\000\143\000\144\000\145\000\001\001\123\000\148\000\149\000\
\126\000\006\001\163\000\143\000\144\000\145\000\075\000\076\000\
\148\000\149\000\024\001\025\001\026\001\163\000\220\000\006\001\
\222\000\223\000\007\001\176\000\009\001\227\000\176\000\163\000\
\024\001\025\001\026\001\075\000\076\000\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\047\001\153\000\043\001\044\001\
\045\001\046\001\047\001\001\001\205\000\251\000\006\001\006\001\
\209\000\210\000\024\001\212\000\001\001\002\001\003\001\205\000\
\003\001\024\001\007\001\209\000\210\000\003\001\212\000\003\001\
\003\001\205\000\182\000\016\001\043\001\209\000\210\000\221\000\
\212\000\007\001\003\001\003\001\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\003\001\003\001\043\001\044\001\045\001\
\046\001\047\001\245\000\245\000\253\000\003\001\029\001\004\001\
\003\001\008\001\006\001\253\000\216\000\016\001\252\000\253\000\
\220\000\001\001\222\000\223\000\006\001\007\001\006\001\227\000\
\006\001\007\001\006\001\006\001\012\001\013\001\001\001\002\001\
\003\001\007\001\018\001\021\001\007\001\005\001\009\001\021\001\
\024\001\025\001\026\001\027\001\028\001\016\001\007\001\251\000\
\001\001\001\001\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\009\001\042\001\043\001\044\001\045\001\046\001\047\001\
\001\001\002\001\003\001\024\001\007\001\004\001\007\001\007\001\
\024\001\025\001\026\001\027\001\028\001\042\001\003\001\016\001\
\004\001\007\001\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\007\001\042\001\043\001\044\001\045\001\046\001\047\001\
\007\001\001\001\002\001\003\001\007\001\007\001\007\001\007\001\
\006\001\009\001\034\001\035\001\036\001\037\001\038\001\039\001\
\016\001\006\001\001\001\006\001\031\001\003\001\007\001\006\001\
\048\001\049\001\050\001\051\001\052\001\012\001\013\001\001\001\
\002\001\003\001\007\001\018\001\016\001\007\001\001\001\032\001\
\031\001\024\001\025\001\026\001\027\001\028\001\016\001\004\001\
\009\001\003\001\005\001\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\004\001\042\001\043\001\044\001\045\001\046\001\
\047\001\001\001\007\001\009\001\007\001\007\001\006\001\034\001\
\035\001\036\001\037\001\038\001\039\001\040\001\005\001\007\001\
\043\001\044\001\018\001\046\001\047\001\007\001\007\001\032\001\
\024\001\025\001\026\001\027\001\028\001\006\001\006\001\003\001\
\016\001\007\001\034\001\035\001\036\001\037\001\038\001\039\001\
\040\001\003\001\042\001\043\001\044\001\045\001\046\001\047\001\
\001\001\001\001\002\001\003\001\003\001\006\001\009\001\007\001\
\024\001\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\016\001\018\001\043\001\044\001\045\001\046\001\047\001\024\001\
\025\001\026\001\027\001\028\001\006\001\009\001\000\000\007\001\
\007\001\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\007\001\042\001\043\001\044\001\045\001\046\001\047\001\001\001\
\001\001\002\001\003\001\016\001\006\001\009\001\007\001\007\001\
\034\001\035\001\036\001\037\001\038\001\039\001\040\001\016\001\
\018\001\043\001\044\001\045\001\046\001\047\001\024\001\025\001\
\026\001\027\001\028\001\008\001\007\001\007\001\007\001\024\000\
\034\001\035\001\036\001\037\001\038\001\039\001\040\001\009\001\
\042\001\043\001\044\001\045\001\046\001\047\001\001\001\009\001\
\113\000\066\000\119\000\006\001\226\000\034\001\035\001\036\001\
\037\001\038\001\039\001\040\001\252\000\006\001\043\001\006\001\
\020\001\046\001\047\001\021\001\182\000\024\001\025\001\026\001\
\027\001\028\001\001\001\206\000\255\255\255\255\255\255\034\001\
\035\001\036\001\037\001\038\001\039\001\040\001\255\255\042\001\
\043\001\044\001\045\001\046\001\047\001\255\255\255\255\255\255\
\255\255\024\001\025\001\026\001\027\001\028\001\255\255\255\255\
\255\255\255\255\255\255\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\001\001\042\001\043\001\044\001\045\001\046\001\
\047\001\008\001\255\255\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\003\001\001\001\255\255\255\255\007\001\255\255\
\009\001\024\001\048\001\049\001\050\001\051\001\052\001\016\001\
\255\255\255\255\255\255\034\001\035\001\036\001\037\001\038\001\
\039\001\040\001\024\001\255\255\043\001\044\001\255\255\046\001\
\047\001\255\255\255\255\255\255\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\255\255\255\255\043\001\044\001\024\001\
\046\001\047\001\027\001\028\001\255\255\255\255\255\255\255\255\
\255\255\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\255\255\255\255\043\001\255\255\255\255\046\001\047\001\001\001\
\002\001\003\001\255\255\255\255\255\255\007\001\034\001\035\001\
\036\001\037\001\038\001\039\001\040\001\255\255\016\001\043\001\
\044\001\045\001\046\001\047\001\003\001\003\001\255\255\255\255\
\007\001\007\001\009\001\009\001\255\255\255\255\255\255\255\255\
\255\255\016\001\016\001"

let yynames_const = "\
  Equality\000\
  NegEquality\000\
  Comma\000\
  Dot\000\
  Column\000\
  LeftParen\000\
  RightParen\000\
  LBrace\000\
  RBrace\000\
  True\000\
  False\000\
  ForAll\000\
  Exists\000\
  And\000\
  NegAnd\000\
  Or\000\
  NegOr\000\
  Negation\000\
  ImplicationLR\000\
  ImplicationRL\000\
  Equivalence\000\
  NegEquivalence\000\
  Plus\000\
  Minus\000\
  Slash\000\
  Exponent\000\
  Star\000\
  Arrow\000\
  Less_Sign\000\
  STATE_SEP\000\
  EOF\000\
  "

let yynames_block = "\
  Positive_Decimal\000\
  Decimal\000\
  Decimal_fraction\000\
  Decimal_exponent\000\
  CNF_T\000\
  FOF_T\000\
  TFF_T\000\
  TCF_T\000\
  THF_T\000\
  Include\000\
  Type\000\
  UpperWord\000\
  LowerWord\000\
  DollarWord\000\
  DollarDollarWord\000\
  String\000\
  QuotedStr\000\
  CommentPercent\000\
  CommentEprover\000\
  CommentStar\000\
  AnnotationPercent\000\
  AnnotationStar\000\
  "

let yyact = [|
  (fun _ -> failwith "parser")
; (fun __caml_parser_env ->
    Obj.repr(
# 111 "src/parser_tptp.mly"
                      ()
# 588 "src/parser_tptp.ml"
               : unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unit) in
    Obj.repr(
# 112 "src/parser_tptp.mly"
             ()
# 596 "src/parser_tptp.ml"
               : unit))
; (fun __caml_parser_env ->
    Obj.repr(
# 113 "src/parser_tptp.mly"
             ()
# 602 "src/parser_tptp.ml"
               : unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'annotated_formula) in
    Obj.repr(
# 119 "src/parser_tptp.mly"
                     (_1)
# 609 "src/parser_tptp.ml"
               : 'unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'include_file) in
    Obj.repr(
# 120 "src/parser_tptp.mly"
                     (_1)
# 616 "src/parser_tptp.ml"
               : 'unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'comment) in
    Obj.repr(
# 121 "src/parser_tptp.mly"
                     (_1)
# 623 "src/parser_tptp.ml"
               : 'unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'annotation) in
    Obj.repr(
# 122 "src/parser_tptp.mly"
                     (_1)
# 630 "src/parser_tptp.ml"
               : 'unit))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'file_name) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : 'formula_selection) in
    Obj.repr(
# 128 "src/parser_tptp.mly"
     (include_file_fun _3 _4)
# 639 "src/parser_tptp.ml"
               : 'include_file))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'single_quoted) in
    Obj.repr(
# 132 "src/parser_tptp.mly"
                          (disquote_string _1)
# 646 "src/parser_tptp.ml"
               : 'file_name))
; (fun __caml_parser_env ->
    Obj.repr(
# 136 "src/parser_tptp.mly"
                 ([])
# 652 "src/parser_tptp.ml"
               : 'formula_selection))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'name_list) in
    Obj.repr(
# 137 "src/parser_tptp.mly"
                   (_2)
# 659 "src/parser_tptp.ml"
               : 'formula_selection))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 141 "src/parser_tptp.mly"
      ([_1])
# 666 "src/parser_tptp.ml"
               : 'name_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'name_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'name) in
    Obj.repr(
# 142 "src/parser_tptp.mly"
                        (_3::_1)
# 674 "src/parser_tptp.ml"
               : 'name_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 146 "src/parser_tptp.mly"
                 ((comment_fun _1))
# 681 "src/parser_tptp.ml"
               : 'comment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 147 "src/parser_tptp.mly"
                 ((comment_fun _1))
# 688 "src/parser_tptp.ml"
               : 'comment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 148 "src/parser_tptp.mly"
                 ((comment_E_prover_fun _1))
# 695 "src/parser_tptp.ml"
               : 'comment))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 154 "src/parser_tptp.mly"
                    ((annotation_fun _1))
# 702 "src/parser_tptp.ml"
               : 'annotation))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 155 "src/parser_tptp.mly"
                    ((annotation_fun _1))
# 709 "src/parser_tptp.ml"
               : 'annotation))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 9 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 7 : 'name) in
    let _5 = (Parsing.peek_val __caml_parser_env 5 : 'formula_role) in
    let _7 = (Parsing.peek_val __caml_parser_env 3 : 'cnf_formula) in
    let _8 = (Parsing.peek_val __caml_parser_env 2 : 'formula_annotations) in
    Obj.repr(
# 161 "src/parser_tptp.mly"
                                                    ((*assign_input_problem_type CNF;*) (cnf_formula_fun _3 _5 _7 _8))
# 720 "src/parser_tptp.ml"
               : 'annotated_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 162 "src/parser_tptp.mly"
        (assign_input_problem_type FOF; raise FOF_format)
# 727 "src/parser_tptp.ml"
               : 'annotated_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 164 "src/parser_tptp.mly"
        (assign_input_problem_type THF; raise THF_format)
# 734 "src/parser_tptp.ml"
               : 'annotated_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 8 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 6 : 'name) in
    let _5 = (Parsing.peek_val __caml_parser_env 4 : string) in
    let _7 = (Parsing.peek_val __caml_parser_env 2 : 'tff_typed_atom) in
    Obj.repr(
# 170 "src/parser_tptp.mly"
                                                                       (assign_input_problem_type TFF; _7)
# 744 "src/parser_tptp.ml"
               : 'annotated_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 9 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 7 : 'name) in
    let _5 = (Parsing.peek_val __caml_parser_env 5 : 'formula_role) in
    let _7 = (Parsing.peek_val __caml_parser_env 3 : 'tff_cnf_formula) in
    let _8 = (Parsing.peek_val __caml_parser_env 2 : 'formula_annotations) in
    Obj.repr(
# 176 "src/parser_tptp.mly"
                                         (assign_input_problem_type TFF; cnf_formula_fun _3 _5 _7 _8)
# 755 "src/parser_tptp.ml"
               : 'annotated_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 9 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 7 : 'name) in
    let _5 = (Parsing.peek_val __caml_parser_env 5 : 'formula_role) in
    let _7 = (Parsing.peek_val __caml_parser_env 3 : 'tff_cnf_formula) in
    let _8 = (Parsing.peek_val __caml_parser_env 2 : 'formula_annotations) in
    Obj.repr(
# 181 "src/parser_tptp.mly"
                                         (assign_input_problem_type TFF; cnf_formula_fun _3 _5 _7 _8)
# 766 "src/parser_tptp.ml"
               : 'annotated_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cnf_formula) in
    Obj.repr(
# 196 "src/parser_tptp.mly"
                (_1)
# 773 "src/parser_tptp.ml"
               : 'tff_cnf_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tff_quantified_formula) in
    Obj.repr(
# 197 "src/parser_tptp.mly"
                            (tff_reset_vt (); _1)
# 780 "src/parser_tptp.ml"
               : 'tff_cnf_formula))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'tff_quantified_formula) in
    Obj.repr(
# 198 "src/parser_tptp.mly"
                                                  (tff_reset_vt (); _2)
# 787 "src/parser_tptp.ml"
               : 'tff_cnf_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'tff_fol_quantifier) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'tff_variable_list) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'tff_unitary_formula) in
    Obj.repr(
# 201 "src/parser_tptp.mly"
                                                                                    (_6)
# 796 "src/parser_tptp.ml"
               : 'tff_quantified_formula))
; (fun __caml_parser_env ->
    Obj.repr(
# 204 "src/parser_tptp.mly"
            ()
# 802 "src/parser_tptp.ml"
               : 'tff_fol_quantifier))
; (fun __caml_parser_env ->
    Obj.repr(
# 206 "src/parser_tptp.mly"
             (raise TFF_format)
# 808 "src/parser_tptp.ml"
               : 'tff_fol_quantifier))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tff_variable) in
    Obj.repr(
# 209 "src/parser_tptp.mly"
                ()
# 815 "src/parser_tptp.ml"
               : 'tff_variable_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tff_variable) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tff_variable_list) in
    Obj.repr(
# 210 "src/parser_tptp.mly"
                                         ()
# 823 "src/parser_tptp.ml"
               : 'tff_variable_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tff_typed_variable) in
    Obj.repr(
# 214 "src/parser_tptp.mly"
                       ()
# 830 "src/parser_tptp.ml"
               : 'tff_variable))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tff_default_type_variable) in
    Obj.repr(
# 215 "src/parser_tptp.mly"
                              ()
# 837 "src/parser_tptp.ml"
               : 'tff_variable))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'variable_name) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tff_atomic_type) in
    Obj.repr(
# 219 "src/parser_tptp.mly"
                                          (tff_typed_variable_fun _1 _3)
# 845 "src/parser_tptp.ml"
               : 'tff_typed_variable))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'variable_name) in
    Obj.repr(
# 221 "src/parser_tptp.mly"
                                          (_1)
# 852 "src/parser_tptp.ml"
               : 'tff_default_type_variable))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 224 "src/parser_tptp.mly"
            (_1)
# 859 "src/parser_tptp.ml"
               : 'variable_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'cnf_formula) in
    Obj.repr(
# 227 "src/parser_tptp.mly"
              (_1)
# 866 "src/parser_tptp.ml"
               : 'tff_unitary_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tff_untyped_atom) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tff_top_level_type) in
    Obj.repr(
# 243 "src/parser_tptp.mly"
                                              (ttf_add_typed_atom_fun _1 _3)
# 874 "src/parser_tptp.ml"
               : 'tff_typed_atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'tff_untyped_atom) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'tff_top_level_type) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'attr_list) in
    Obj.repr(
# 245 "src/parser_tptp.mly"
      (ttf_add_typed_atom_atrr_fun _1 _3 (List.rev _5))
# 883 "src/parser_tptp.ml"
               : 'tff_typed_atom))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'tff_typed_atom) in
    Obj.repr(
# 246 "src/parser_tptp.mly"
                                       (_2)
# 890 "src/parser_tptp.ml"
               : 'tff_typed_atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attr) in
    Obj.repr(
# 249 "src/parser_tptp.mly"
         ([_1])
# 897 "src/parser_tptp.ml"
               : 'attr_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'attr_list) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'attr) in
    Obj.repr(
# 250 "src/parser_tptp.mly"
                      (_3::_1)
# 905 "src/parser_tptp.ml"
               : 'attr_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'defined_functor) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'attr_name) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : 'attr_args) in
    Obj.repr(
# 254 "src/parser_tptp.mly"
      (match _1 with 
      |"$attr" ->
	  attr_fun _3 _5
      |_-> raise Parser_types.Parsing_fails
(*failwith ("parsing failes: should be $attr in place of "^$1)*)
     )
# 919 "src/parser_tptp.ml"
               : 'attr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'functor_name) in
    Obj.repr(
# 262 "src/parser_tptp.mly"
              (_1)
# 926 "src/parser_tptp.ml"
               : 'attr_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_functor) in
    Obj.repr(
# 263 "src/parser_tptp.mly"
                   (_1)
# 933 "src/parser_tptp.ml"
               : 'attr_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'system_functor) in
    Obj.repr(
# 264 "src/parser_tptp.mly"
                  (_1)
# 940 "src/parser_tptp.ml"
               : 'attr_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_integer) in
    Obj.repr(
# 268 "src/parser_tptp.mly"
                       (Attr_Int (_1))
# 947 "src/parser_tptp.ml"
               : 'attr_args))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attr_list_arg) in
    Obj.repr(
# 269 "src/parser_tptp.mly"
                  ( _1 )
# 954 "src/parser_tptp.ml"
               : 'attr_args))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attr_str_arg) in
    Obj.repr(
# 271 "src/parser_tptp.mly"
                 ( Attr_Str _1 )
# 961 "src/parser_tptp.ml"
               : 'attr_args))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'attr_ilist_arg_list) in
    Obj.repr(
# 280 "src/parser_tptp.mly"
                                      ( Attr_IList _2 )
# 968 "src/parser_tptp.ml"
               : 'attr_list_arg))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'attr_slist_arg_list) in
    Obj.repr(
# 281 "src/parser_tptp.mly"
                                      ( Attr_SList _2 )
# 975 "src/parser_tptp.ml"
               : 'attr_list_arg))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_integer) in
    Obj.repr(
# 285 "src/parser_tptp.mly"
                     ( [_1] )
# 982 "src/parser_tptp.ml"
               : 'attr_ilist_arg_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'unsigned_integer) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'attr_ilist_arg_list) in
    Obj.repr(
# 286 "src/parser_tptp.mly"
                                               ( _1 :: _3 )
# 990 "src/parser_tptp.ml"
               : 'attr_ilist_arg_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'attr_str_arg) in
    Obj.repr(
# 289 "src/parser_tptp.mly"
                 ( [_1] )
# 997 "src/parser_tptp.ml"
               : 'attr_slist_arg_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'attr_str_arg) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'attr_slist_arg_list) in
    Obj.repr(
# 290 "src/parser_tptp.mly"
                                           ( _1 :: _3 )
# 1005 "src/parser_tptp.ml"
               : 'attr_slist_arg_list))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'functor_name) in
    Obj.repr(
# 294 "src/parser_tptp.mly"
                 (_1)
# 1012 "src/parser_tptp.ml"
               : 'tff_untyped_atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_functor) in
    Obj.repr(
# 295 "src/parser_tptp.mly"
                    (_1)
# 1019 "src/parser_tptp.ml"
               : 'tff_untyped_atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'system_functor) in
    Obj.repr(
# 296 "src/parser_tptp.mly"
                   (_1)
# 1026 "src/parser_tptp.ml"
               : 'tff_untyped_atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'functor_name) in
    Obj.repr(
# 299 "src/parser_tptp.mly"
                 (_1)
# 1033 "src/parser_tptp.ml"
               : 'attr_str_arg))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_functor) in
    Obj.repr(
# 300 "src/parser_tptp.mly"
                   (_1)
# 1040 "src/parser_tptp.ml"
               : 'attr_str_arg))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tff_atomic_type) in
    Obj.repr(
# 304 "src/parser_tptp.mly"
                    (Symbol.create_stype []  _1)
# 1047 "src/parser_tptp.ml"
               : 'tff_top_level_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tff_mapping_type) in
    Obj.repr(
# 305 "src/parser_tptp.mly"
                   (_1)
# 1054 "src/parser_tptp.ml"
               : 'tff_top_level_type))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'tff_mapping_type) in
    Obj.repr(
# 306 "src/parser_tptp.mly"
                                         (_2)
# 1061 "src/parser_tptp.ml"
               : 'tff_top_level_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_word) in
    Obj.repr(
# 309 "src/parser_tptp.mly"
                (ttf_atomic_type_fun _1)
# 1068 "src/parser_tptp.ml"
               : 'tff_atomic_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_type) in
    Obj.repr(
# 310 "src/parser_tptp.mly"
                (ttf_atomic_type_fun _1)
# 1075 "src/parser_tptp.ml"
               : 'tff_atomic_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 312 "src/parser_tptp.mly"
                          (_1)
# 1082 "src/parser_tptp.ml"
               : 'defined_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 312 "src/parser_tptp.mly"
                                                   (_1)
# 1089 "src/parser_tptp.ml"
               : 'defined_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tff_atomic_type) in
    Obj.repr(
# 317 "src/parser_tptp.mly"
                  ([_1])
# 1096 "src/parser_tptp.ml"
               : 'tff_unitary_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'tff_xprod_type) in
    Obj.repr(
# 318 "src/parser_tptp.mly"
                       (List.rev _1)
# 1103 "src/parser_tptp.ml"
               : 'tff_unitary_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tff_unitary_type) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tff_atomic_type) in
    Obj.repr(
# 323 "src/parser_tptp.mly"
      (Symbol.create_stype _1 _3)
# 1111 "src/parser_tptp.ml"
               : 'tff_mapping_type))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'tff_unitary_type) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'tff_atomic_type) in
    Obj.repr(
# 325 "src/parser_tptp.mly"
      (Symbol.create_stype _2 _5)
# 1119 "src/parser_tptp.ml"
               : 'tff_mapping_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tff_atomic_type) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tff_atomic_type) in
    Obj.repr(
# 330 "src/parser_tptp.mly"
                                          ([_3;_1])
# 1127 "src/parser_tptp.ml"
               : 'tff_xprod_type))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'tff_xprod_type) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'tff_atomic_type) in
    Obj.repr(
# 331 "src/parser_tptp.mly"
                                          (_3::_1)
# 1135 "src/parser_tptp.ml"
               : 'tff_xprod_type))
; (fun __caml_parser_env ->
    Obj.repr(
# 356 "src/parser_tptp.mly"
                 ("")
# 1141 "src/parser_tptp.ml"
               : 'formula_annotations))
; (fun __caml_parser_env ->
    Obj.repr(
# 357 "src/parser_tptp.mly"
        ("")
# 1147 "src/parser_tptp.ml"
               : 'formula_annotations))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'source) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'optional_info) in
    Obj.repr(
# 358 "src/parser_tptp.mly"
                             ("")
# 1155 "src/parser_tptp.ml"
               : 'formula_annotations))
; (fun __caml_parser_env ->
    Obj.repr(
# 363 "src/parser_tptp.mly"
               ("")
# 1161 "src/parser_tptp.ml"
               : 'optional_info))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'source) in
    Obj.repr(
# 364 "src/parser_tptp.mly"
                (_2)
# 1168 "src/parser_tptp.ml"
               : 'optional_info))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'plain_term) in
    Obj.repr(
# 368 "src/parser_tptp.mly"
             ("")
# 1175 "src/parser_tptp.ml"
               : 'source))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'plain_term_list) in
    Obj.repr(
# 369 "src/parser_tptp.mly"
                  ("")
# 1182 "src/parser_tptp.ml"
               : 'source))
; (fun __caml_parser_env ->
    Obj.repr(
# 374 "src/parser_tptp.mly"
                 ([])
# 1188 "src/parser_tptp.ml"
               : 'plain_term_list))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 375 "src/parser_tptp.mly"
                           (_2)
# 1195 "src/parser_tptp.ml"
               : 'plain_term_list))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'disjunction) in
    Obj.repr(
# 378 "src/parser_tptp.mly"
                                      (_2)
# 1202 "src/parser_tptp.ml"
               : 'cnf_formula))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'cnf_formula) in
    Obj.repr(
# 379 "src/parser_tptp.mly"
                                                          (_3)
# 1209 "src/parser_tptp.ml"
               : 'cnf_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'disjunction) in
    Obj.repr(
# 380 "src/parser_tptp.mly"
              (_1)
# 1216 "src/parser_tptp.ml"
               : 'cnf_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'literal) in
    Obj.repr(
# 384 "src/parser_tptp.mly"
             (disjunction_fun [] _1)
# 1223 "src/parser_tptp.ml"
               : 'disjunction))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'disjunction) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'literal) in
    Obj.repr(
# 385 "src/parser_tptp.mly"
                         (disjunction_fun _1 _3 )
# 1231 "src/parser_tptp.ml"
               : 'disjunction))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'literal_plain) in
    Obj.repr(
# 390 "src/parser_tptp.mly"
                   (_1)
# 1238 "src/parser_tptp.ml"
               : 'literal))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'literal) in
    Obj.repr(
# 391 "src/parser_tptp.mly"
                                 (_2)
# 1245 "src/parser_tptp.ml"
               : 'literal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_formula) in
    Obj.repr(
# 394 "src/parser_tptp.mly"
                 (_1)
# 1252 "src/parser_tptp.ml"
               : 'literal_plain))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'fol_infix_unary) in
    Obj.repr(
# 395 "src/parser_tptp.mly"
                  (_1)
# 1259 "src/parser_tptp.ml"
               : 'literal_plain))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_formula) in
    Obj.repr(
# 396 "src/parser_tptp.mly"
                          (neg_fun _2)
# 1266 "src/parser_tptp.ml"
               : 'literal_plain))
; (fun __caml_parser_env ->
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'atomic_formula) in
    Obj.repr(
# 397 "src/parser_tptp.mly"
                                               (neg_fun _3)
# 1273 "src/parser_tptp.ml"
               : 'literal_plain))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 413 "src/parser_tptp.mly"
                            (inequality_fun [_1;_3])
# 1281 "src/parser_tptp.ml"
               : 'fol_infix_unary))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'plain_atomic_formula) in
    Obj.repr(
# 417 "src/parser_tptp.mly"
                          (_1)
# 1288 "src/parser_tptp.ml"
               : 'atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_atomic_formula) in
    Obj.repr(
# 418 "src/parser_tptp.mly"
                          (_1)
# 1295 "src/parser_tptp.ml"
               : 'atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'system_atomic_formula) in
    Obj.repr(
# 419 "src/parser_tptp.mly"
                          (_1)
# 1302 "src/parser_tptp.ml"
               : 'atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'functor_name) in
    Obj.repr(
# 429 "src/parser_tptp.mly"
                (plain_term_fun_typed ~is_top:true _1 [])
# 1309 "src/parser_tptp.ml"
               : 'plain_atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'functor_name) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 431 "src/parser_tptp.mly"
      (plain_term_fun_typed ~is_top:true _1 _3)
# 1317 "src/parser_tptp.ml"
               : 'plain_atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'functor_name) in
    Obj.repr(
# 437 "src/parser_tptp.mly"
               (plain_term_fun_typed ~is_top:false _1 [])
# 1324 "src/parser_tptp.ml"
               : 'plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'functor_name) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 438 "src/parser_tptp.mly"
                                               (plain_term_fun_typed ~is_top:false _1 _3)
# 1332 "src/parser_tptp.ml"
               : 'plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_word) in
    Obj.repr(
# 442 "src/parser_tptp.mly"
                            (_1)
# 1339 "src/parser_tptp.ml"
               : 'functor_name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'arguments_rev) in
    Obj.repr(
# 445 "src/parser_tptp.mly"
                    (List.rev _1)
# 1346 "src/parser_tptp.ml"
               : 'arguments))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 448 "src/parser_tptp.mly"
          ([_1])
# 1353 "src/parser_tptp.ml"
               : 'arguments_rev))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arguments_rev) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 449 "src/parser_tptp.mly"
                           (_3::_1)
# 1361 "src/parser_tptp.ml"
               : 'arguments_rev))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'function_term) in
    Obj.repr(
# 452 "src/parser_tptp.mly"
                   (_1)
# 1368 "src/parser_tptp.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'variable) in
    Obj.repr(
# 453 "src/parser_tptp.mly"
           (term_variable_fun _1)
# 1375 "src/parser_tptp.ml"
               : 'term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 459 "src/parser_tptp.mly"
            (variable_fun _1)
# 1382 "src/parser_tptp.ml"
               : 'variable))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'plain_term) in
    Obj.repr(
# 462 "src/parser_tptp.mly"
              (_1)
# 1389 "src/parser_tptp.ml"
               : 'function_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_term) in
    Obj.repr(
# 463 "src/parser_tptp.mly"
                (_1)
# 1396 "src/parser_tptp.ml"
               : 'function_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'system_term) in
    Obj.repr(
# 464 "src/parser_tptp.mly"
               (_1)
# 1403 "src/parser_tptp.ml"
               : 'function_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_atom) in
    Obj.repr(
# 467 "src/parser_tptp.mly"
                (_1)
# 1410 "src/parser_tptp.ml"
               : 'defined_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_atomic_term) in
    Obj.repr(
# 468 "src/parser_tptp.mly"
                       (_1)
# 1417 "src/parser_tptp.ml"
               : 'defined_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'number) in
    Obj.repr(
# 471 "src/parser_tptp.mly"
          (_1)
# 1424 "src/parser_tptp.ml"
               : 'defined_atom))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_plain_term) in
    Obj.repr(
# 475 "src/parser_tptp.mly"
                      (_1)
# 1431 "src/parser_tptp.ml"
               : 'defined_atomic_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_functor) in
    Obj.repr(
# 478 "src/parser_tptp.mly"
                   (defined_term_fun _1 [])
# 1438 "src/parser_tptp.ml"
               : 'defined_plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'defined_functor) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 479 "src/parser_tptp.mly"
                                                  ( defined_term_fun _1 _3)
# 1446 "src/parser_tptp.ml"
               : 'defined_plain_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'system_functor) in
    Obj.repr(
# 482 "src/parser_tptp.mly"
                  (system_term_fun _1 [])
# 1453 "src/parser_tptp.ml"
               : 'system_term))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'system_functor) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 483 "src/parser_tptp.mly"
                                                 ( system_term_fun _1 _3)
# 1461 "src/parser_tptp.ml"
               : 'system_term))
; (fun __caml_parser_env ->
    Obj.repr(
# 501 "src/parser_tptp.mly"
             ("=")
# 1467 "src/parser_tptp.ml"
               : 'defined_functor))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 502 "src/parser_tptp.mly"
               (_1)
# 1474 "src/parser_tptp.ml"
               : 'defined_functor))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 505 "src/parser_tptp.mly"
                     (_1)
# 1481 "src/parser_tptp.ml"
               : 'system_functor))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_plain_formula) in
    Obj.repr(
# 514 "src/parser_tptp.mly"
                        (_1)
# 1488 "src/parser_tptp.ml"
               : 'defined_atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_infix_formula) in
    Obj.repr(
# 515 "src/parser_tptp.mly"
                        (_1)
# 1495 "src/parser_tptp.ml"
               : 'defined_atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'system_plain_formula) in
    Obj.repr(
# 518 "src/parser_tptp.mly"
                       (_1)
# 1502 "src/parser_tptp.ml"
               : 'system_atomic_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'defined_functor) in
    Obj.repr(
# 522 "src/parser_tptp.mly"
                    (defined_pred_fun _1 [])
# 1509 "src/parser_tptp.ml"
               : 'defined_plain_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'defined_functor) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 523 "src/parser_tptp.mly"
                                                  ( defined_pred_fun _1 _3)
# 1517 "src/parser_tptp.ml"
               : 'defined_plain_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'system_functor) in
    Obj.repr(
# 526 "src/parser_tptp.mly"
                   (system_pred_fun _1 [])
# 1524 "src/parser_tptp.ml"
               : 'system_plain_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'system_functor) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'arguments) in
    Obj.repr(
# 527 "src/parser_tptp.mly"
                                                 ( system_pred_fun _1 _3)
# 1532 "src/parser_tptp.ml"
               : 'system_plain_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'term) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'defined_infix_pred) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'term) in
    Obj.repr(
# 537 "src/parser_tptp.mly"
                                    (defined_infix_pred_fun _2 _1 _3)
# 1541 "src/parser_tptp.ml"
               : 'defined_infix_formula))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'infix_equality) in
    Obj.repr(
# 539 "src/parser_tptp.mly"
                                     (_1)
# 1548 "src/parser_tptp.ml"
               : 'defined_infix_pred))
; (fun __caml_parser_env ->
    Obj.repr(
# 541 "src/parser_tptp.mly"
                          ("=")
# 1554 "src/parser_tptp.ml"
               : 'infix_equality))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 544 "src/parser_tptp.mly"
                         (_1)
# 1561 "src/parser_tptp.ml"
               : 'formula_role))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'integer_string) in
    Obj.repr(
# 550 "src/parser_tptp.mly"
                   ((term_of_int_number_fun _1))
# 1568 "src/parser_tptp.ml"
               : 'number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'rational_string) in
    Obj.repr(
# 551 "src/parser_tptp.mly"
                   ((term_of_rat_number_fun _1))
# 1575 "src/parser_tptp.ml"
               : 'number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'real_string) in
    Obj.repr(
# 552 "src/parser_tptp.mly"
               ((term_of_real_number_fun _1))
# 1582 "src/parser_tptp.ml"
               : 'number))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'signed_rational_string) in
    Obj.repr(
# 560 "src/parser_tptp.mly"
                         (_1)
# 1589 "src/parser_tptp.ml"
               : 'rational_string))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_rational_string) in
    Obj.repr(
# 560 "src/parser_tptp.mly"
                                                         (_1)
# 1596 "src/parser_tptp.ml"
               : 'rational_string))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_rational_string) in
    Obj.repr(
# 563 "src/parser_tptp.mly"
                                (_2)
# 1603 "src/parser_tptp.ml"
               : 'signed_rational_string))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_rational_string) in
    Obj.repr(
# 564 "src/parser_tptp.mly"
                                (
  let (num,den)= _2 in 
  ("-"^num,den)
  )
# 1613 "src/parser_tptp.ml"
               : 'signed_rational_string))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 570 "src/parser_tptp.mly"
                       (
  (_1,_3)
   )
# 1623 "src/parser_tptp.ml"
               : 'unsigned_rational_string))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'signed_real_string) in
    Obj.repr(
# 648 "src/parser_tptp.mly"
                                 (_1)
# 1630 "src/parser_tptp.ml"
               : 'real_string))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_real_string) in
    Obj.repr(
# 648 "src/parser_tptp.mly"
                                                             (_1)
# 1637 "src/parser_tptp.ml"
               : 'real_string))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_real_string) in
    Obj.repr(
# 651 "src/parser_tptp.mly"
                               (_2)
# 1644 "src/parser_tptp.ml"
               : 'signed_real_string))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_real_string) in
    Obj.repr(
# 652 "src/parser_tptp.mly"
                                ("-"^_2)
# 1651 "src/parser_tptp.ml"
               : 'signed_real_string))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 655 "src/parser_tptp.mly"
                        (_1)
# 1658 "src/parser_tptp.ml"
               : 'unsigned_real_string))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 655 "src/parser_tptp.mly"
                                                (_1)
# 1665 "src/parser_tptp.ml"
               : 'unsigned_real_string))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'signed_integer) in
    Obj.repr(
# 659 "src/parser_tptp.mly"
                (_1)
# 1672 "src/parser_tptp.ml"
               : 'integer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_integer) in
    Obj.repr(
# 660 "src/parser_tptp.mly"
                    (_1)
# 1679 "src/parser_tptp.ml"
               : 'integer))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_integer) in
    Obj.repr(
# 663 "src/parser_tptp.mly"
                       (_2)
# 1686 "src/parser_tptp.ml"
               : 'signed_integer))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'unsigned_integer) in
    Obj.repr(
# 665 "src/parser_tptp.mly"
                         (-_2)
# 1693 "src/parser_tptp.ml"
               : 'signed_integer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 670 "src/parser_tptp.mly"
                            (int_of_string _1)
# 1700 "src/parser_tptp.ml"
               : 'unsigned_integer))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'atomic_word) in
    Obj.repr(
# 675 "src/parser_tptp.mly"
                 (_1)
# 1707 "src/parser_tptp.ml"
               : 'name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'integer_string) in
    Obj.repr(
# 676 "src/parser_tptp.mly"
                 (_1)
# 1714 "src/parser_tptp.ml"
               : 'name))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 679 "src/parser_tptp.mly"
               (_1)
# 1721 "src/parser_tptp.ml"
               : 'atomic_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'single_quoted) in
    Obj.repr(
# 680 "src/parser_tptp.mly"
                (_1)
# 1728 "src/parser_tptp.ml"
               : 'atomic_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'double_quoted) in
    Obj.repr(
# 681 "src/parser_tptp.mly"
                (_1)
# 1735 "src/parser_tptp.ml"
               : 'atomic_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'key_word) in
    Obj.repr(
# 682 "src/parser_tptp.mly"
           (_1)
# 1742 "src/parser_tptp.ml"
               : 'atomic_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 685 "src/parser_tptp.mly"
           (_1)
# 1749 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 686 "src/parser_tptp.mly"
         (_1)
# 1756 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 687 "src/parser_tptp.mly"
         (_1)
# 1763 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 688 "src/parser_tptp.mly"
         (_1)
# 1770 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 689 "src/parser_tptp.mly"
         (_1)
# 1777 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 690 "src/parser_tptp.mly"
           (_1)
# 1784 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 691 "src/parser_tptp.mly"
        (_1)
# 1791 "src/parser_tptp.ml"
               : 'key_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 695 "src/parser_tptp.mly"
               ( _1)
# 1798 "src/parser_tptp.ml"
               : 'single_quoted))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 698 "src/parser_tptp.mly"
            ( _1)
# 1805 "src/parser_tptp.ml"
               : 'double_quoted))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 710 "src/parser_tptp.mly"
             (_1)
# 1812 "src/parser_tptp.ml"
               : 'integer_string))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 711 "src/parser_tptp.mly"
               (("+"^_2))
# 1819 "src/parser_tptp.ml"
               : 'integer_string))
; (fun __caml_parser_env ->
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string) in
    Obj.repr(
# 712 "src/parser_tptp.mly"
                (("-"^_2))
# 1826 "src/parser_tptp.ml"
               : 'integer_string))
(* Entry main *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
|]
let yytables =
  { Parsing.actions=yyact;
    Parsing.transl_const=yytransl_const;
    Parsing.transl_block=yytransl_block;
    Parsing.lhs=yylhs;
    Parsing.len=yylen;
    Parsing.defred=yydefred;
    Parsing.dgoto=yydgoto;
    Parsing.sindex=yysindex;
    Parsing.rindex=yyrindex;
    Parsing.gindex=yygindex;
    Parsing.tablesize=yytablesize;
    Parsing.table=yytable;
    Parsing.check=yycheck;
    Parsing.error_function=parse_error;
    Parsing.names_const=yynames_const;
    Parsing.names_block=yynames_block }
let main (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 1 lexfun lexbuf : unit)
